Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.exception
Class CannotAddTaskException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.kie.internal.task.exception.TaskException
                      org.jbpm.services.task.exception.CannotAddTaskException

All Implemented Interfaces:
  Serializable

    public class CannotAddTaskException

extends org.kie.internal.task.exception.TaskException

Exception thrown from the `TaskServiceSession` when there is a problem adding task. This exception is specifically thrown when custom logic in rules has not allowed the `Task` to be added.

See Also:
  `org.jbpm.services.task.service.TaskServiceSession#addTask(org.jbpm.services.task.Task, ContentDataImpl)`, Serialized Form

Constructor Summary
`CannotAddTaskException(String message)`
`CannotAddTaskException(String message, Throwable cause)`

Method Summary

Methods inherited from class org.kie.internal.task.exception.TaskException
`isRecoverable, setRecoverable`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CannotAddTaskException

    public CannotAddTaskException(String message)

### CannotAddTaskException

    public CannotAddTaskException(String message,
                                  Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.